Subject: [quicwg/base-drafts] 316f7f: Fix for off-path migration attack

From: Martin Thomson <[email-masked]>
Date: Tue, 04 Dec 2018 11:11:54 -0800

Branch: refs/heads/master
  Home:   https://github.com/quicwg/base-drafts
  Commit: 316f7f1313bd89656f467f036916047fbc45a182
      https://github.com/quicwg/base-drafts/commit/316f7f1313bd89656f467f036916047fbc45a182
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-21 (Wed, 21 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Fix for off-path migration attack

This is not an easy attack to defend against, except for
probabilistically.  So what we do is recommend more probing on old paths
to give the endpoint that is apparently migrating more opportunities to
cause the connection to migrate away from the path chosen by an
attacker.

I've tweaked surrounding text a little.  The most interesting being the
3RTO timer on path validation.  It's not the right number, but I don't
think that the right number is attainable, and this is close enough.

This text isn't final. I'd like it to be more accurate AND shorter, but
lack the skills and perspective.

Closes #1278, #1749.

  Commit: 8a385bee3ede8f5432c63da44ec3f82bbd3ab265
      https://github.com/quicwg/base-drafts/commit/8a385bee3ede8f5432c63da44ec3f82bbd3ab265
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-23 (Fri, 23 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Some editorial tweaks

  Commit: 567ab8e3619bc25b72a0937656c9cf1e14bc84b0
      https://github.com/quicwg/base-drafts/commit/567ab8e3619bc25b72a0937656c9cf1e14bc84b0
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-23 (Fri, 23 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Heuristics are the worst

  Commit: 5cc1b8117531decd9d23215d227de6761cd8b0d4
      https://github.com/quicwg/base-drafts/commit/5cc1b8117531decd9d23215d227de6761cd8b0d4
  Author: Martin Thomson <[email-masked]>
  Date:   2018-12-05 (Wed, 05 Dec 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Split paragraph

  Commit: 9ffc6af4e04cf8f672c9e303a0908eef71db8460
      https://github.com/quicwg/base-drafts/commit/9ffc6af4e04cf8f672c9e303a0908eef71db8460
  Author: Martin Thomson <[email-masked]>
  Date:   2018-12-05 (Wed, 05 Dec 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Editorial suggestions

  Commit: bfd506d139cf7cb44adaa1aa5823967c0f2898dd
      https://github.com/quicwg/base-drafts/commit/bfd506d139cf7cb44adaa1aa5823967c0f2898dd
  Author: Martin Thomson <[email-masked]>
  Date:   2018-12-05 (Wed, 05 Dec 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #2033 from quicwg/migration-fix

Fix for off-path migration attack

Compare: https://github.com/quicwg/base-drafts/compare/ff532d0bceb0...bfd506d139cf
      **NOTE:** This service has been marked for deprecation: https://developer.github.com/changes/2018-04-25-github-services-deprecation/

      Functionality will be removed from GitHub.com on January 31st, 2019.